Name:           perl-Test-ExpectAndCheck
Version:        0.07
Release:        3%{?dist}
Summary:        Expect/check-style unit testing with object methods
License:        GPL-1.0-or-later OR Artistic-1.0-Perl

URL:            https://metacpan.org/dist/Test-ExpectAndCheck
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Test-ExpectAndCheck-%{version}.tar.gz

BuildArch:      noarch
# build requirements
BuildRequires:  coreutils
BuildRequires:  perl-generators
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# runtime requirements
BuildRequires:  perl(Carp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Future::Deferred)
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
# test requirements
BuildRequires:  perl(Future)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(Test::Builder::Tester) >= 1.302000

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}perl\\(Test::ExpectAndCheck::_

%description
This package creates objects that assist in writing unit tests with mocked
object instances. Each mock instance will expect to receive a given list of
method calls. Each method call is checked that it received the right
arguments, and will return a prescribed result. At the end of each test,
each object is checked to ensure all the expected methods were called.

%prep
%setup -q -n Test-ExpectAndCheck-%{version}

%build
/usr/bin/perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Test*
%{_mandir}/man3/Test*

%changelog
* Wed Apr 30 2025 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-3
- Perl 5.42 rebuild

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Oct 20 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 0.07-1
- Update to 0.07

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.06-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 22 2024 Emmanuel Seyman <emmanuel@seyman.fr> - 0.06-2
- Take into account review feedback (#2251553)

* Sun Nov 26 2023 Emmanuel Seyman <emmanuel@seyman.fr> - 0.06-1
- Initial specfile, based on the one autogenerated by cpanspec 1.78.
